﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@model Toyota.Common.Web.MVC.ModelHolder
@section StartupScript
{
    var Oten = Otentikasi.GetText();
    if(Oten == "false"){
        ReleaseApproval.SetEnabled(false);
        Reject.SetEnabled(false);
    }
}
<script type = text/javascript>
    function FirstStepApproveNo(s, e) {
        commentApproveNo = '';
        commentApproveNo = CommentTextApproveNo.GetText();
        if (commentApproveNo == '') {
            alert('Please fill up comment');
        }
        else {
            ActionPoNo('APPROVE', commentApproveNo);
            popupApproveNo.Hide();
            CommentTextApproveNo.SetText('');
        }
    }
    function FirstStepRejectNo(s, e) {
        
        commentRejectNo = '';
        commentRejectNo = CommentTextRejectNo.GetText();
        if (commentRejectNo == '') {
            alert('Please fill up comment');
        }
        else {
            ActionPoNo('REJECT', commentRejectNo);
            popupRejectNo.Hide();
            CommentTextRejectNo.SetText('');
        }
    }
    function ActionPoNo(ActionButNo, commentActionNo) {
        if (ActionButNo == 'APPROVE') {
            confirmPoNo = "Succes Approve Data with PO Number";
        }
        else if (ActionButNo == 'REJECT') {
            confirmPoNo = "Succes Reject Data with PO Number";
            
        }
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/POApproval/ActionPurchaseOrder")",
            data: {
                PONoGrid: PONo.GetText(),
                ActionBut: ActionButNo,
                commentAction: commentActionNo
            },
            success: function (result) {
                alert(confirmPoNo+" "+result);
                

            },
            error: function (result) {
                alert("Error when update data");
            }
        });


    }
    function OnBeginPo(s, e) {
        e.customArgs["PoNo"] = PONo.GetText();
    }
</script>
        
@*Fid.marini 17/10/2012*@
@*@Html.DevExpress().RoundPanel(
    settings =>
    {
        settings.Name = "frmHeader";
        settings.HeaderText = "Approval";
        settings.ShowHeader = true;
        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
        settings.Width = Unit.Percentage(29);
        settings.SetContent(() =>
        {
            Html.RenderPartial("PartialHeaderApprovalNo");
        });
    }).GetHtml()*@
     <div style="width:34%;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
      @Html.Partial("PartialHeaderApprovalNo")  
     @*   @Html.Action("PartialHeaderApprovalNoSubmit", "POApproval", new { DeliveryNo = ViewData.Eval("DeliveryNo") })  *@
        </div>
 <div style="height:10px;"></div>
<div>
   @Html.Partial("POApprovalNoGrid", Model)   
</div>
    
<div style="height:10px;"></div>

<div>
 @Html.DevExpress().RoundPanel(
    settings =>
    {
        settings.Name = "frmFooter";
        settings.HeaderText = "Approval Overview";
        settings.ShowHeader = true;
        settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
        settings.Width = Unit.Percentage(100);
        settings.SetContent(() =>
        {
            @Html.RenderPartial("FooterApprovalNo");
        });
    }).GetHtml()
</div>


@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupApproveNo2";
    settings.HeaderText = "Add Comment To Approve";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupConfirmationApproveNo", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupRejectNo2";
    settings.HeaderText = "Add Comment To Reject";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(320);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(60);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupConfirmationRejectNo", null);
    });
}).GetHtml()